# Get user identities

Retrieves a list of identities available to the holder of the token.

Endpoint: GET /identities
Version: v3
Security: auth_token, api-key, api-key

## Query parameters:

  - `offset` (integer)
    The number of results to skip from the beginning of the dataset.

  - `limit` (integer)
    The maximum number of identities to return.

## Response 200 fields (application/json):

  - `identities` (array, required)
    The list of identities available to user.

  - `identities.id` (object, required)
    The unique identifier of the Corporate Identity.

  - `identities.id.type` (string, required)
    Indicates the identity type.
    Enum: "CONSUMER", "CORPORATE"

  - `identities.id.id` (string, required)
    The identifier for the identity.

  - `identities.name` (string, required)
    The name of the company.

  - `count` (integer, required)
    The total number of records (excluding the paging limit).

  - `responseCount` (integer, required)
    The total number of records returned in this response (always capped at 100).

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "IDENTITY_TYPE_NOT_SUPPORTED"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 500 fields

## Response 503 fields
